| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
NTuple::RowWiseTuple Class Reference

`#include <GaudiKernel/NTupleImplementation.h>`

Inheritance diagram for NTuple::RowWiseTuple:
[legend]
Collaboration diagram for NTuple::RowWiseTuple:
[legend]

## Public Member Functions
| RowWiseTuple (std::string title)
| Standard Constructor. More...
| ~RowWiseTuple () override=default
| Standard Destructor. More...
const CLID & | clID () const override
| Retrieve Reference to class defininition structure. More...
Public Member Functions inherited from NTuple::TupleImp
INTupleItem * | i_find (const std::string &name) const override
| Internally used by abstract classes. More...
| TupleImp (std::string title)
| Standard Constructor. More...
| ~TupleImp () override
| Standard Destructor. More...
ItemContainer & | items () override
| Access item container. More...
const ItemContainer & | items () const override
| Access item container (CONST) More...
const std::string & | title () const override
| Object title. More...
const INTupleItem * | find (const std::string &name) const override
| Find an item row of the Ntuple (CONST) More...
INTupleItem * | find (const std::string &name) override
| Find an item row of the Ntuple. More...
char * | buffer () override
| Access N tuple data buffer. More...
const char * | buffer () const override
| Access N tuple data buffer (CONST) More...
IConversionSvc * | conversionService () const
| Access conversion service. More...
void | setConversionService (IConversionSvc *svc)
| Access conversion service. More...
INTupleSvc * | tupleService () const
| Access conversion service. More...
void | setTupleService (INTupleSvc *svc)
| Access conversion service. More...
StatusCode | attachSelector (ISelectStatement *sel) override
| Attach selector. More...
ISelectStatement * | selector () override
| Access selector. More...
virtual char * | setBuffer (std::unique_ptr< char[]> &&buff)
| Set N tuple data buffer. More...
char * | setBuffer (char *buff) override
| Set N tuple data buffer. More...
void | reset () override
| Reset all entries to their default values. More...
StatusCode | add (INTupleItem *item) override
| Add an item row to the N tuple. More...
StatusCode | remove (INTupleItem *item) override
| Remove an item row (identified by pointer) from the N tuple. More...
StatusCode | remove (const std::string &name) override
| Remove an item row (identified by name) from the N tuple. More...
StatusCode | write () override
| Write record of the NTuple (Shortcut of writeRecord) More...
StatusCode | writeRecord () override
| Write record of the NTuple. More...
StatusCode | read () override
| Read record of the NTuple (Shortcut of readRecord) More...
StatusCode | readRecord () override
| Read record of the NTuple. More...
StatusCode | save () override
| Save the NTuple. More...
Public Member Functions inherited from NTuple::Tuple
| ~Tuple () override=default
| Standard destructor. More...
template<class TYPE >
StatusCode | item (const std::string &name, Item< TYPE > &result)
| Locate a scalar Item of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | item (const std::string &name, const Item< TYPE > &result) const
| Locate a scalar Item of data to the N tuple type safe (CONST) More...
template<class TYPE >
StatusCode | item (const std::string &name, Array< TYPE > &result)
| Locate a Array of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | item (const std::string &name, const Array< TYPE > &result) const
| Locate a Array of data to the N tuple type safe (CONST) More...
template<class TYPE >
StatusCode | item (const std::string &name, Matrix< TYPE > &result)
| Locate a Matrix of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | item (const std::string &name, const Matrix< TYPE > &result) const
| Locate a Matrix of data to the N tuple type safe (CONST) More...
template<class TYPE >
StatusCode | addItem (const std::string &name, Item< TYPE > &itm)
| Add a scalar data item a N tuple. More...
template<class TYPE >
StatusCode | addItem (const std::string &name, Item< TYPE * > &itm)
| Add an simple object item to an N tuple. More...
StatusCode | addItem (const std::string &name, Item< IOpaqueAddress * > &itm)
| Add an address object item to an N tuple: specialized call. More...
template<class TYPE , class RANGE >
StatusCode | addItem (const std::string &name, Item< TYPE > &itm, const RANGE low, const RANGE high)
| Add a scalar data item a N tuple with a range. More...
template<class TYPE >
StatusCode | addItem (const std::string &name, long dim, Array< TYPE > &array)
| Add an fixed-size Array of data to a column wise N tuple. More...
template<class TYPE , class RANGE >
StatusCode | addItem (const std::string &name, long dim, Array< TYPE > &array, const RANGE low, const RANGE high)
| Add an fixed-size Array of data to a column wise N tuple with a range. More...
template<class TYPE , class INDEX , class RANGE >
StatusCode | addItem (const std::string &name, Item< INDEX > &index, Array< TYPE > &array, const RANGE low, const RANGE high)
| Add an indexed Array of data to a column wise N tuple with a range. More...
template<class TYPE , class INDEX , class RANGE >
StatusCode | addIndexedItem (const std::string &name, Item< INDEX > &index, Array< TYPE > &array, const RANGE low, const RANGE high)
| Add an indexed Array of data to a column wise N tuple with a range. More...
template<class TYPE , class INDEX >
StatusCode | addItem (const std::string &name, Item< INDEX > &index, Array< TYPE > &array)
| Add an indexed Array of data to a column wise N tuple. More...
template<class TYPE , class INDEX >
StatusCode | addIndexedItem (const std::string &name, Item< INDEX > &index, Array< TYPE > &array)
| Add an indexed Array of data to a column wise N tuple. More...
template<class TYPE >
StatusCode | addItem (const std::string &name, long cols, long rows, Matrix< TYPE > &matrix)
| Add an fixed size Matrix of data to a column wise N tuple. More...
template<class TYPE , class RANGE >
StatusCode | addItem (const std::string &name, long cols, long rows, Matrix< TYPE > &result, const RANGE low, const RANGE high)
| Add an fixed size Matrix of data to a column wise N tuple. More...
template<class TYPE , class INDEX >
StatusCode | addItem (const std::string &name, Item< INDEX > &index, Matrix< TYPE > &matrix, long rows)
| Add an variable size Matrix of data to a column wise N tuple. More...
template<class TYPE , class INDEX >
StatusCode | addIndexedItem (const std::string &name, Item< INDEX > &col_index, long rows, Matrix< TYPE > &matrix)
| Add an variable size Matrix of data to a column wise N tuple. More...
template<class TYPE , class INDEX , class RANGE >
StatusCode | addItem (const std::string &name, Item< INDEX > &index, Matrix< TYPE > &matrix, long rows, const RANGE low, const RANGE high)
| Add an variable size Matrix of data to a column wise N tuple. More...
template<class TYPE , class INDEX , class RANGE >
StatusCode | addIndexedItem (const std::string &name, Item< INDEX > &index, long rows, Matrix< TYPE > &matrix, const RANGE low, const RANGE high)
| Add an variable size Matrix of data to a column wise N tuple. More...
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...
Public Member Functions inherited from INTuple
virtual | ~INTuple ()=default

## Static Public Member Functions
static const CLID & | classID ()
| Static access to class defininition structure. More...
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Additional Inherited Members
Public Types inherited from INTuple
typedef std::vector< INTupleItem * > | ItemContainer
Protected Member Functions inherited from NTuple::Tuple
template<class TYPE >
StatusCode | i_item (const std::string &name, _Item< TYPE > *&result) const
| Locate a _Column of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | i_item (const std::string &name, _Item< TYPE * > *&result) const
| Locate a _Column of data to the N tuple type unsafe for objects. More...
StatusCode | i_item (const std::string &name, _Item< IOpaqueAddress * > *&result) const
| Locate a _Column of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | i_item (const std::string &name, _Array< TYPE > *&result) const
| Locate a _Array of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | i_item (const std::string &name, _Matrix< TYPE > *&result) const
| Locate a _Matrix of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | i_addItem (const std::string &name, long, const std::string &, TYPE low, TYPE high, _Item< TYPE > *&result)
| Add a _Item of data to the N tuple. More...
template<class TYPE >
StatusCode | i_addItem (const std::string &name, long dim, const std::string &index, TYPE low, TYPE high, _Array< TYPE > *&result)
| Add a _Item of data to the N tuple. More...
template<class TYPE >
StatusCode | i_addItem (const std::string &name, long dim1, long dim2, const std::string &index, TYPE low, TYPE high, _Matrix< TYPE > *&result)
| Add a _Item of data to the N tuple. More...
template<class TYPE >
StatusCode | i_addObject (const std::string &name, _Item< TYPE * > *&result, const std::type_info &)
Protected Attributes inherited from NTuple::TupleImp
ItemContainer | m_items
| Container with N tuple _Columns. More...
bool | m_isBooked = false
| Flag wether N tuple is booked. More...
std::string | m_title
| N tuple title. More...
SmartIF< ISelectStatement > | m_pSelector
| Possibly hanging selector. More...
std::unique_ptr< char[]> | m_buffer
| Buffer. More...
INTupleSvc * | m_ntupleSvc = nullptr
| Reference to N-tuple service used. More...
IConversionSvc * | m_cnvSvc = nullptr
| Reference to the conversion service used. More...

## Detailed Description

Definition at line 138 of file NTupleImplementation.h.

## Constructor & Destructor Documentation

NTuple::RowWiseTuple::RowWiseTuple | ( | std::string | title | ) |
| inline

Standard Constructor.

Definition at line 141 of file NTupleImplementation.h.

141 : TupleImp(std::move(title)) {
142 }
NTuple::TupleImp::TupleImp
TupleImp(const TupleImp &)=delete
Standard Copy Constructor.
std::move
T move(T...args)

NTuple::RowWiseTuple::~RowWiseTuple | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

static const CLID& NTuple::RowWiseTuple::classID | ( |  | ) |
| inline static

Static access to class defininition structure.

Definition at line 150 of file NTupleImplementation.h.

150 {
151 return CLID_RowWiseTuple;
152 }

const CLID& NTuple::RowWiseTuple::clID | ( |  | ) | const
| inline override virtual

Retrieve Reference to class defininition structure.

Reimplemented from DataObject.

Definition at line 146 of file NTupleImplementation.h.

146 {
147 return classID();
148 }
NTuple::RowWiseTuple::classID
static const CLID & classID()
Static access to class defininition structure.
Definition: NTupleImplementation.h:150

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTupleImplementation.h